const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    token: '',
    areaList: [],
    requestUrl: app.requestUrl,
    page: {
      page: 1,
      rows: 20,
      totalPage: 1
    },
    tab: 0
  },
  // 登录
  doLogin: function () {
    var self = this
    wx.login({
      success: function (res) {
        app.restAjax.post(app.restAjax.path('{url}wxminiapp/auth/login', [app.loginUrl]), {
          jsCode: res.code
        }, null, function (code, data) {
          var tokenArray = data.data.split('_');
          var token = tokenArray[0];
          self.setData({
            token: token
          })
          wx.setStorageSync('token', token);
          self.getList()
        }, function (code, data) {
          app.dialog.msg(data.msg);
        });
      }
    })
  },
  // 获取列表
  getList: function () {
    var self = this
    wx.showToast({
      title: '加载中',
      icon: 'loading'
    })
    app.restAjax.get(app.restAjax.path('{reqesutUrl}app/reportcase/listpagereportcase', [app.requestUrl]), self.data.page, {
      headers: {
        token: self.data.token
      }
    }, function (code, data) {
      if(data.rows.length == 0) {
        if (self.data.page.page == 1) {
          self.setData({
            areaList: []
          })
        } else {
          self.setData({
            [`page.page`] : self.data.page.page - 1
          })
          app.dialog.msg('暂无更多')
          return false;
        }
      }
      data.rows.forEach(function (i) {
        i.casePhotos = i.casePhotos.split(',')[0]
      })
      if (self.data.page.page == 1) {
        self.setData({
          areaList: data.rows
        })
      } else {
        self.setData({
          areaList: self.data.areaList.concat(data.rows)
        })
      }
      wx.hideToast()
    });
  },
  // 查看详情
  goDetail: function (e) {
    if (e.currentTarget.dataset.status == '4') {
      wx.navigateTo({
        url: '../caseCheck/caseCheck?id=' + e.currentTarget.dataset.id,
      })
    } else {
      wx.navigateTo({
        url: '../caseDetail/caseDetail?id=' + e.currentTarget.dataset.id,
      })
    }
    
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.doLogin()
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {
    
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {
    
  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {
    
  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {
    var self = this
    this.setData({
      ['page.page']: 1
    })
    if (self.data.tab == 0) {
      this.getList()
    } else {
      this.getCheckList()
    }
  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    var self = this
    var pageNum = 'page.page'
    self.setData({
      [pageNum]: self.data.page.page + 1
    })
    if (self.data.tab == '0') {
      this.getList()
    } else {
      this.getCheckList()
    }
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {
    
  }
})